Index: src/Potentials/Specifics/PairPotential_Angle.cpp
===================================================================
--- src/Potentials/Specifics/PairPotential_Angle.cpp	(revision a8212739425be810afd4c74296d6644463bfb979)
+++ src/Potentials/Specifics/PairPotential_Angle.cpp	(revision dbcc47a93c50f23857b217d00154054ae9fa7a31)
@@ -133,7 +133,7 @@
       arguments, getParticleTypes()),
       "PairPotential_Angle::operator() - types don't match with ones in arguments.");
-  const argument_t &r_ij = arguments[0];
-  const argument_t &r_ik = arguments[1];
-  const argument_t &r_jk = arguments[2];
+  const argument_t &r_ij = arguments[0]; // 01
+  const argument_t &r_ik = arguments[2]; // 12
+  const argument_t &r_jk = arguments[1]; // 02
   const result_t result =
       params[spring_constant]
@@ -154,7 +154,7 @@
       "PairPotential_Angle::operator() - types don't match with ones in arguments.");
   derivative_components_t result;
-  const argument_t &r_ij = arguments[0];
-  const argument_t &r_ik = arguments[1];
-  const argument_t &r_jk = arguments[2];
+  const argument_t &r_ij = arguments[0]; //01
+  const argument_t &r_ik = arguments[2]; //12
+  const argument_t &r_jk = arguments[1]; //02
   result.push_back( 2. * params[spring_constant] * ( function_theta(r_ij.distance, r_ik.distance, r_jk.distance) - params[equilibrium_distance]) );
   ASSERT( result.size() == 1,
@@ -174,7 +174,7 @@
       arguments, getParticleTypes()),
       "PairPotential_Angle::operator() - types don't match with ones in arguments.");
-  const argument_t &r_ij = arguments[0];
-  const argument_t &r_ik = arguments[1];
-  const argument_t &r_jk = arguments[2];
+  const argument_t &r_ij = arguments[0]; //01
+  const argument_t &r_ik = arguments[2]; //12
+  const argument_t &r_jk = arguments[1]; //02
   switch (index) {
     case spring_constant:
Index: src/Potentials/Specifics/unittests/PairPotential_AngleUnitTest.cpp
===================================================================
--- src/Potentials/Specifics/unittests/PairPotential_AngleUnitTest.cpp	(revision a8212739425be810afd4c74296d6644463bfb979)
+++ src/Potentials/Specifics/unittests/PairPotential_AngleUnitTest.cpp	(revision dbcc47a93c50f23857b217d00154054ae9fa7a31)
@@ -60,4 +60,6 @@
 CPPUNIT_TEST_SUITE_REGISTRATION( PairPotential_AngleTest );
 
+const double spring_constant = .5;
+const double offset = .1;
 
 void PairPotential_AngleTest::setUp()
@@ -72,22 +74,22 @@
   FunctionModel::arguments_t tempvector(3);
   tempvector[0] = argument_t( std::make_pair(0,1), std::make_pair(0,1), 1.);
-  tempvector[1] = argument_t( std::make_pair(0,2), std::make_pair(0,1), 1.);
-  tempvector[2] = argument_t( std::make_pair(1,2), std::make_pair(1,1), 0.);
+  tempvector[1] = argument_t( std::make_pair(1,2), std::make_pair(1,1), 0.);
+  tempvector[2] = argument_t( std::make_pair(0,2), std::make_pair(0,1), 1.);
   for (angles_t::const_iterator iter = angles.begin(); iter != angles.end(); ++iter) {
-    tempvector[2].distance = sqrt(-(2.*(*iter)-2.));//1.+1.-x/(2.*1.*1.)
+    tempvector[1].distance = sqrt(-(2.*(*iter)-2.));//1.+1.-x/(2.*1.*1.)
     input += tempvector;
   }
   output +=
-      .5*0.25+.1,
-      .5*0.16+.1,
-      .5*0.09+.1,
-      .5*0.04+.1,
-      .5*0.01+.1,
-      .5*0.+.1,
-      .5*0.01+.1,
-      .5*0.04+.1,
-      .5*0.09+.1,
-      .5*0.16+.1,
-      .5*0.25+.1;
+      spring_constant*0.25+offset,
+      spring_constant*0.16+offset,
+      spring_constant*0.09+offset,
+      spring_constant*0.04+offset,
+      spring_constant*0.01+offset,
+      spring_constant*0.+offset,
+      spring_constant*0.01+offset,
+      spring_constant*0.04+offset,
+      spring_constant*0.09+offset,
+      spring_constant*0.16+offset,
+      spring_constant*0.25+offset;
 
   CPPUNIT_ASSERT_EQUAL( input.size(), output.size() );
@@ -107,10 +109,12 @@
         (0)(1)(1)
       ;
-  PairPotential_Angle angle(types, .5,0.,.1);
+  PairPotential_Angle angle(types, spring_constant,0.,offset);
   for (size_t index = 0; index < input.size(); ++index) {
+    const PairPotential_Angle::results_t result =
+        angle( input[index] );
     CPPUNIT_ASSERT(
         Helpers::isEqual(
             output[index],
-            angle( input[index] )[0]
+            result[0]
         )
     );
@@ -126,5 +130,5 @@
         (0)(1)(1)
       ;
-  PairPotential_Angle angle(types, .5,0.,.1);
+  PairPotential_Angle angle(types, spring_constant,0.,offset);
   CPPUNIT_ASSERT(
       Helpers::isEqual(
@@ -147,5 +151,5 @@
         (0)(1)(1)
       ;
-  PairPotential_Angle angle(types, .5,0.,.1);
+  PairPotential_Angle angle(types, spring_constant,0.,offset);
   CPPUNIT_ASSERT(
       Helpers::isEqual(
